### Hierarchy

- CustomerSignupDraft

## Index

### Properties

- addresses
- anonymousCartId
- anonymousId
- billingAddresses
- companyName
- custom
- customerGroup
- customerNumber
- dateOfBirth
- defaultBillingAddress
- defaultShippingAddress
- email
- externalId
- firstName
- isEmailVerified
- key
- lastName
- locale
- middleName
- password
- salutation
- shippingAddresses
- title
- vatId

## Properties

### Optional addresses

addresses: Address[]

- Defined in node_modules/@cxcloud/ct-types/customers.ts:75

### Optional anonymousCartId

anonymousCartId: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:67

### Optional anonymousId

anonymousId: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:68

### Optional billingAddresses

billingAddresses: number[]

- Defined in node_modules/@cxcloud/ct-types/customers.ts:77

### Optional companyName

companyName: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:71

### Optional custom

custom: Custom

- Defined in node_modules/@cxcloud/ct-types/customers.ts:80

### Optional customerGroup

customerGroup: Reference

- Defined in node_modules/@cxcloud/ct-types/customers.ts:74

### Optional customerNumber

customerNumber: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:58

### Optional dateOfBirth

dateOfBirth: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:70

### Optional defaultBillingAddress

defaultBillingAddress: undefined | number

- Defined in node_modules/@cxcloud/ct-types/customers.ts:76

### Optional defaultShippingAddress

defaultShippingAddress: undefined | number

- Defined in node_modules/@cxcloud/ct-types/customers.ts:78

### email

email: string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:60

### Optional externalId

externalId: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:69

### Optional firstName

firstName: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:62

### Optional isEmailVerified

isEmailVerified: undefined | true | false

- Defined in node_modules/@cxcloud/ct-types/customers.ts:73

### Optional key

key: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:59

### Optional lastName

lastName: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:63

### Optional locale

locale: any

- Defined in node_modules/@cxcloud/ct-types/customers.ts:81

### Optional middleName

middleName: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:64

### password

password: string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:61

### Optional salutation

salutation: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:66

### Optional shippingAddresses

shippingAddresses: number[]

- Defined in node_modules/@cxcloud/ct-types/customers.ts:79

### Optional title

title: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:65

### Optional vatId

vatId: undefined | string

- Defined in node_modules/@cxcloud/ct-types/customers.ts:72

Generated using TypeDoc